<!--
  ~ SSD - Sistema per il dimensionamento scolastico
  ~ Copyright (c) 2020 ARTI - Agenzia Regionale per la Tecnologia e l'Innovazione della Regione Puglia.
  ~
  ~ This program is free software: you can redistribute it and/or modify it under the terms of the GNU Affero General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License along with this program. If not, see https://www.gnu.org/licenses/agpl-3.0.txt.
  -->

<div *ngIf="sede">
    <div class="modal-header">
        <h4 class="modal-title">
            <strong>SEDE: {{ sede.codice }} </strong>
        </h4>
        <button type="button" class="close" aria-label="Close" (click)="close()">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body">
        <div class="card">
            <div class="card-body">
                <h4 class="card-title">Riepilogo</h4>
                <div class="row">
                    <div class="col-lg-12">
                        <p>
                            Codice:
                            <span class="pull-right">{{ sede.codice }} </span>
                        </p>
                        <p>
                            Codice catastale comune:
                            <span class="pull-right"> {{ sede.codiceCatastaleComune }}</span>
                        </p>
                        <p>
                            Codice edificio:
                            <span class="pull-right"> {{ sede.codiceEdificio }}</span>
                        </p>
                        <p>
                            Codice istituzione:
                            <span class="pull-right">{{ sede.istituzioneScolastica?.codice }}</span>
                        </p>
                        <p>
                            Comune:
                            <span class="pull-right"> {{ sede.comune }}</span>
                        </p>

                        <p>
                            Denominazione:
                            <span class="pull-right"> {{ sede.denominazione }}</span>
                        </p>
                        <p>
                            Indirizzo:
                            <span class="pull-right">{{ sede.indirizzo }}</span>
                        </p>
                        <p>
                            Sede direzione amministrativa:
                            <span class="pull-right">{{
                                sede.sedeDirezioneAmministrativa == true ? "Si" : "No"
                                }}</span>
                        </p>
                        <!-- <p>
                           Tipo:
                           <span class="pull-right">{{ sede.tipo }}</span>
                         </p>
                         -->
                        <p>
                            Tipologia scuola:
                            <span class="pull-right">{{ sede.tipologiaScuola }}</span>
                        </p>
                        <p *ngIf="sede.alunni">
                            Totale alunni:
                            <span class="pull-right">{{ sede.alunni.totaleAlunni }}</span>
                        </p>
                        <p *ngIf="sede.alunni">
                            Totale alunni disabili:
                            <span class="pull-right">{{ sede.alunni.totaleAlunniDisabili | nd }}</span>
                        </p>
                        <p *ngIf="sede.alunni">
                            Totale classi:
                            <span class="pull-right">{{ sede.alunni.totaleClassi }}</span>
                        </p>
                    </div>
                </div>
                <div *ngIf="sede && hasIndirizziDiStudio()">
                    <hr/>

                    <h3>Indirizzi di studio</h3>
                    <div *ngIf="sede.indirizziDiStudio.length==0" class="row">
                        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                            <h5>Nessun indirizzo di studio attivo</h5>
                        </div>
                    </div>
                    <div *ngIf="sede.indirizziDiStudio.length>0" class="row">
                        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                            <table class="table">
                                <tr>
                                    <th>Codice</th>
                                    <th>Denominazione</th>
                                    <th>Tipologia</th>

                                </tr>
                                <tr *ngFor="let ind of sede.indirizziDiStudio">
                                    <td>{{ind.codice}}</td>
                                    <td>{{ ind.denominazione }}</td>
                                    <td>{{ ind.tipologiaIndirizzo2Ciclo.nome}}</td>
                                </tr>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-light" (click)="close()">Close</button>
    </div>
</div>
